/*************************************************************************
 FILE:				PDTP_GEN.H     
 CREATION DATE:		14 May 1996
 LAST MODIFIED:		19 May 1996
 AUTHOR:			Chris Hundhausen 
 COPYRIGHT:			(c) 1996 by 
 					Interactive Systems Group
 					Department of Computer and Information Science
 			 		University of Oregon
 			 		Eugene, OR  97403-1202
 			 		All rights reserved.	
 =========================================================================
 DESCRIPTION:
 This file defines the pptp_generator class, whose sole responsibility is to
 generate instances of a trial_presentor capable both of gathering 
 performance data, and of presenting dragging trials (hence pd).
*************************************************************************/  

#ifndef __PDTP_GEN_H
#define __PDTP_GEN_H

#include "tp_gen.h"
//#include "drag_tp.h"


class pdtp_generator :public tp_generator {
	public:
		 trial_presenter* get_trial_presenter();
	
	};


#endif
