/*************************************************************************
 FILE:				PPTP_GEN.H     
 CREATION DATE:		14 May 1996
 LAST MODIFIED:		19 May 1996
 AUTHOR:			Chris Hundhausen 
 COPYRIGHT:			(c) 1996 by 
 					Interactive Systems Group
 					Department of Computer and Information Science
 			 		University of Oregon
 			 		Eugene, OR  97403-1202
 			 		All rights reserved.	
 =========================================================================
 DESCRIPTION:
 This file defines the pptp_generator class, whose sole responsibility is to
 generate instances of a trial_presentor capable both of presenting pointing
 trials, and of gathering performance data (hence pp).
*************************************************************************/  

#ifndef __PPTP_GEN_H
#define __PPTP_GEN_H
                     
#include "tp_gen.h"                     
//#include "poin_tp.h"


class pptp_generator : public tp_generator {
	public:
		 trial_presenter* get_trial_presenter();
	
	};


#endif
