// This program tests the pqueue implementation for correctness and 
// functionality.

#include <iostream.h>
#include "trial.h"
#include "pqueue.h"

int main() {
  trial *trial_ptr; 
  int success, i;
  char c;
  pqueue q(200); // Initialize an empty queue with capacity 200.       
  cout << "Initialized pqueue with capacity 200.\n";
  for (i=0; i<=200; ++i) {
  	trial_ptr = new trial;
  	trial_ptr->trial_time = i;
	success = q.enqueue(trial_ptr);
	if (success)
	  cout << "Element " << i << " successfully enqueued.\n";
	else
	  cout << "Element " << i << " could not be enqueued -- queue was full.\n"; 
	}   
	cin >> c;      
  // Now, start dequeueing.
  for (i = 0; i <=200; ++i) {
    trial_ptr = (trial *)(q.dequeue());
    if (trial_ptr == NULL)
      cout << "Could not dequeue -- queue was empty.\n";     
    else
      cout << "Element " << trial_ptr->trial_time << " successfully dequeued.\n";
    }
	
	cin >> c;
}
	  
