// BlockCompleted.cpp : implementation file
//

#include "stdafx.h"
#include "winwapwad.h"
#include "session.h"
#include "BlockCompleted.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlockCompleted dialog


CBlockCompleted::CBlockCompleted(session* currSess, CWnd* pParent /*=NULL*/)
	: CDialog(CBlockCompleted::IDD, pParent)
{
	currBlock = currSess->get_curr_block ();
	numBlocks = currSess->get_num_blocks ();
	//{{AFX_DATA_INIT(CBlockCompleted)
	//}}AFX_DATA_INIT
}


void CBlockCompleted::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBlockCompleted)
	DDX_Control(pDX, IDC_THISBLOCK, m_thisBlock);
	DDX_Control(pDX, IDC_NEXTBLOCK, m_nextBlock);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBlockCompleted, CDialog)
	//{{AFX_MSG_MAP(CBlockCompleted)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBlockCompleted message handlers

BOOL CBlockCompleted::OnInitDialog() 
{
	CDialog::OnInitDialog();
	char buffer [200];

	if (currBlock < numBlocks)
	{
		sprintf (buffer, "You have completed %d of a total of %d blocks.", currBlock, numBlocks);
		m_thisBlock.SetWindowText (buffer);

		sprintf (buffer, "Press the OK button to go on to block number %d.", currBlock + 1);
		m_nextBlock.SetWindowText (buffer);
	}
	else
	{
		sprintf (buffer, "You have completed the last block.");
		m_thisBlock.SetWindowText (buffer);

		sprintf (buffer, "Press the OK button to end the session.");
		m_nextBlock.SetWindowText (buffer);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	             // EXCEPTION: OCX Property Pages should return FALSE
}
