// Point2DTrial.h: interface for the CPoint2DTrial class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POINT2DTRIAL_H__914A8371_C4D6_11D1_A044_00A0C973EBC5__INCLUDED_)
#define AFX_POINT2DTRIAL_H__914A8371_C4D6_11D1_A044_00A0C973EBC5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <time.h>
#include "t_data.h"

class session;

class CPoint2DTrial : public trial_data  
{
	DECLARE_DYNCREATE (CPoint2DTrial);

public:
	CPoint2DTrial();
	virtual ~CPoint2DTrial();

	static trial_data* NewInstance (int diam, int dist, int ang, bool collectTrail = false);
	void InitInstance (int diam, int dist, int ang, bool collectTrail = false);
	trial_data* copy_instance ();

	double GetTargetDistance ();
	double GetTargetDiameter ();
	int GetTargetAngle ();

	void ClickInsideHome (float x, float y, int time, time_t timeOfDay);
	void ClickOutsideTarget (float x, float y, int time);
	void ClickInsideTarget (float x, float y, int time);
	void StopSession (int time);
	void MouseMove (float x, float y, int time);
	void TooLarge ();

};

#endif // !defined(AFX_POINT2DTRIAL_H__914A8371_C4D6_11D1_A044_00A0C973EBC5__INCLUDED_)
