#if !defined(AFX_SESSIONID_H__A4432F21_C773_11D1_A044_00A0C973EBC5__INCLUDED_)
#define AFX_SESSIONID_H__A4432F21_C773_11D1_A044_00A0C973EBC5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SessionID.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSessionID dialog

#include "session.h"

class CSessionID : public CDialog
{
// Construction
public:
	CSessionID(bool recordTrails, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSessionID)
	enum { IDD = IDD_SESSION_ID };
	CString	m_ParticipantId;
	CString	m_SessionNum;
	//}}AFX_DATA

	bool m_bRecordTrails;	// True if we should prompt for a trails file

	// These pointers should not be deleted when CSessionID is destroyed,
	// because they will have been passed to a session instance.
	ofstream* out;
	ofstream* trailsOut;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSessionID)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSessionID)
	afx_msg void OnOk();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SESSIONID_H__A4432F21_C773_11D1_A044_00A0C973EBC5__INCLUDED_)
