/*************************************************************************
 FILE:				P_TD_GEN.H     
 CREATION DATE:		19 May 1996
 LAST MODIFIED:		19 May 1996
 AUTHOR:			Chris Hundhausen 
 COPYRIGHT:			(c) 1996 by 
 					Interactive Systems Group
 					Department of Computer and Information Science
 			 		University of Oregon
 			 		Eugene, OR  97403-1202
 			 		All rights reserved.	
 =========================================================================
 DESCRIPTION:
 This file defines the perf_td_generator class, which is responsible for
 generating performance trial_data (perf_trial_data) instances.
*************************************************************************/  

#ifndef __P_TD_GEN_H
#define __P_TD_GEN_H

#include "td_gen.h"
#include "pt_data.h"

class perf_td_generator :public td_generator {
	public:
		trial_data* get_trial_data(int diam, int dist, int ang);
};


#endif
