/*************************************************************************
 FILE:				TD_GEN.H     
 CREATION DATE:		14 May 1996
 LAST MODIFIED:		19 May 1996
 AUTHOR:			Chris Hundhausen 
 COPYRIGHT:			(c) 1996 by 
 					Interactive Systems Group
 					Department of Computer and Information Science
 			 		University of Oregon
 			 		Eugene, OR  97403-1202
 			 		All rights reserved.	
 =========================================================================
 DESCRIPTION:
 This file defines the td_generator class, whose sole responsibility is to
 generate instances of the appropriate trial_data subclass.
*************************************************************************/  

#ifndef __TD_GEN_H
#define __TD_GEN_H

#include "t_data.h"

class td_generator {
	public:
		virtual trial_data* get_trial_data(int diam, int dist, int ang) = 0;
	
	};


#endif
