/*************************************************************************
 FILE:				TP_GEN.H     
 CREATION DATE:		14 May 1996
 LAST MODIFIED:		19 May 1996
 AUTHOR:			Chris Hundhausen 
 COPYRIGHT:			(c) 1996 by 
 					Interactive Systems Group
 					Department of Computer and Information Science
 			 		University of Oregon
 			 		Eugene, OR  97403-1202
 			 		All rights reserved.	
 =========================================================================
 DESCRIPTION:
 This file defines the tp_generator class, whose sole responsibility is to
 generate instances of the appropriate trial_presenter subclass.
*************************************************************************/  

#ifndef __TP_GEN_H
#define __TP_GEN_H

#include "t_presen.h"


class tp_generator {
	public:
		virtual trial_presenter* get_trial_presenter() = 0;
	
	};


#endif
